#include<stdio.h>

int main(){
  
  int n,v,k,b;
  
  scanf("%d",&n);
  
  if(n<=0){			//proveravamo da li je n<0
    printf("-1\n");
    return 0;
  }
  
  for(v=n;v>0;v--){
    for(b=1;b<n-v+1;b++) printf(" ");   //ispisujemo beline
    
    for(k=1;k<2*v;k++)                  //ispisujemo * na neparnim, a - na parnim mestima 
      if(k%2!=0) printf("*");
      else printf("-");
    
    printf("\n");
  }
  
  
  
  
  
 return 0; 
}
